package com.iamberry.wechat.service.channel;

import com.iamberry.wechat.core.entity.channel.AttenStatistics;
import com.iamberry.wechat.face.channel.AttenStatisticsService;
import com.iamberry.wechat.service.mapper.AttenStatisticsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  渠道关注二维码统计接口
 * @author Administrator
 * @Date 2018-11-27
 */
@Service
public class AttenStatisticsServiceImpl  implements AttenStatisticsService {
    @Autowired
    private AttenStatisticsMapper attenStatisticsMapper;
    /**
     * 获取集合
     * @param  attenStatistics
     * @return List
     */
    @Override
    public List<AttenStatistics> getAttenStatisticsList(AttenStatistics  attenStatistics){
        return  attenStatisticsMapper.getAttenStatisticsList(attenStatistics);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  attenStatistics
     */
    @Override
    public  AttenStatistics  getAttenStatisticsById(Integer  id){
        return  attenStatisticsMapper.getAttenStatisticsById(id);
    }
    /**
     * 增加数据
     * @param  attenStatistics
     * @return Integer
     */
    @Override
    public  Integer  save(AttenStatistics  attenStatistics){
        return  attenStatisticsMapper.save(attenStatistics);
    }
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    @Override
    public  Integer  delete(Integer  id){
        return  attenStatisticsMapper.delete(id);
    }
}